Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface Exception

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Type

    public interface Exception

extends Type

A representation of the model object 'Exception'. Tipo eccezione. E' utilizzato nelle interfacce di servizio per la dichiarazioen delle eccezioni previste dai vari metodi.

The following features are supported:

- `Exception Type`

See Also:
  `TypedefPackage.getException()`

Method Summary
`CSIExceptionTypes` | `getExceptionType()` Returns the value of the 'Exception Type' attribute.
`void` | `setExceptionType(CSIExceptionTypes value)` Sets the value of the '`Exception Type`' attribute

Methods inherited from interface it.csi.mddtools.typedef.Type
`getAnnotations, getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getExceptionType

    CSIExceptionTypes getExceptionType()

  Returns the value of the 'Exception Type' attribute. The literals are from the enumeration `CSIExceptionTypes`.

  If the meaning of the 'Exception Type' attribute isn't clear, there really should be more of a description here...

  Tipo di eccezioni (tra le tipologie previste dall'infrastruttura di cooperazione CSI)

  Returns:
    the value of the 'Exception Type' attribute.
  See Also:
    `CSIExceptionTypes`, `setExceptionType(CSIExceptionTypes)`, `TypedefPackage.getException_ExceptionType()`

### setExceptionType

    void setExceptionType(CSIExceptionTypes value)

  Sets the value of the '`Exception Type`' attribute.

  Parameters:
    `value` - the new value of the 'Exception Type' attribute.
  See Also:
    `CSIExceptionTypes`, `getExceptionType()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD